%whitenoise.m
%An M-file to compute a known gaussian population(white noise)
% calls m-files pdfdat.m and datstats.m

clear
%clf

s1='This m-file generates Gaussian white noise';
s3='     ';
disp(s1)
disp(s3)

dataname = 'whitenoise';

nm=input('What is the desired number of samples? (100-10000) ');
nn = 1;   % for this case we don't take means
%sd=input('Enter a seed value for the random generator: ');
%randn('seed',sd)
randn('state',sum(100*clock));   % Appropriate for V5.0 and higher

X=randn(nm,1);
data=X';
pdfdat
datstats

  name = input('Type your name so it can be printed on the plot. ','s');
  string = ['number of means = ' num2str(nm) ', mean sample size = '  num2str(nn)];

pltpdfdat
